summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGianluca Montecchi2015-12-06 22:24:48 +0100
committerGianluca Montecchi2015-12-06 22:24:48 +0100
commit574fedddb96ccf0574f636dfcadd5d0efe00967d (patch)
tree9e6ddb5b6b8c8e8074066b23d64bf03930799ef5
parent3c7a59ac96c286bcd3a90e50ee55b7f564ef480d (diff)
downloadaur-574fedddb96ccf0574f636dfcadd5d0efe00967d.tar.gz
The installation path is now passed as a qmake argument
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD12
2 files changed, 9 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index afd7a3cde7a..40862ae4eba 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,9 @@
+# Generated by mksrcinfo v8
+# Sun Dec 6 21:19:16 UTC 2015
pkgbase = libqglviewer
pkgdesc = C++ library based on Qt that eases the creation of OpenGL 3D viewers
pkgver = 2.6.3
- pkgrel = 1
+ pkgrel = 2
url = http://www.libqglviewer.com/
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index db15d1db304..0d7cf21f7d2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@
pkgname=libqglviewer
_pkgname=libQGLViewer
pkgver=2.6.3
-pkgrel=1
+pkgrel=2
pkgdesc="C++ library based on Qt that eases the creation of OpenGL 3D viewers"
url="http://www.libqglviewer.com/"
depends=('qt5-base' 'glu' 'mesa' 'qt5-tools')
@@ -25,14 +25,14 @@ build()
{
cd ${_pkgname}-${pkgver}
patch -p1 < ../qglviewer.patch
- qmake -o Makefile ${_pkgname}-${pkgver}.pro || return 1
-
+ qmake PREFIX=/opt/local -o Makefile ${_pkgname}-${pkgver}.pro || return 1
+
make \
CFLAGS="-pipe ${CFLAGS} -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" \
CXXLIBS=" ${CXXLIBS} " \
CXXFLAGS="-pipe ${CXXFLAGS} -I/usr/include/GL -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" || return 1
-
-
+
+
}
package()
@@ -40,7 +40,7 @@ package()
cd ${_pkgname}-${pkgver}
make install INSTALL_ROOT="$pkgdir" || return 1
-
+
# Install license.
install -d -m 0755 "${pkgdir}"/usr/share/licenses/$pkgname/ || return 1
install -m 0644 LICENCE GPL_EXCEPTION "${pkgdir}"/usr/share/licenses/$pkgname/ || return 1